gstreamermm: Gst::TocEntry Class Reference

gstreamermm 1.10.0

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::TocEntry Class Reference

`#include <gstreamermm/toc.h>`

Inheritance diagram for Gst::TocEntry:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstTocEntry* | gobj ()
| Provides access to the underlying C instance. More...
const GstTocEntry* | gobj () const
| Provides access to the underlying C instance. More...
GstTocEntry* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| TocEntry ()=delete
| TocEntry (const TocEntry&)=delete
TocEntry& | operator= (const TocEntry&)=delete
TocEntryType | get_entry_type ()
Glib::ustring | get_uid ()
| Gets the UID of entry. More...
void | append_sub_entry (Glib::RefPtr< Gst::TocEntry > entry)
| Appends the Gst::TocEntry entry to entry. More...
bool | is_alternative ()
bool | is_alternative () const
bool | is_sequence ()
bool | is_sequence () const
Glib::RefPtr< Gst::TocEntry > | get_parent ()
| Gets the parent Gst::TocEntry of entry. More...
void | set_start_stop_times (gint64 start, gint64 stop)
| Set start and stop values for the entry. More...
bool | get_start_stop_times (gint64&start, gint64& stop)
| Get start and stop values from the entry and write them into appropriate storages. More...
bool | get_start_stop_times (gint64&start, gint64& stop) const
| Get start and stop values from the entry and write them into appropriate storages. More...
bool | get_loop (Gst::TocLoopType& loop_type, gint& repeat_count) const
| Get loop_type and repeat_count values from the entry and write them into appropriate storages. More...
void | set_loop (Gst::TocLoopType loop_type, gint repeat_count)
| Set loop_type and repeat_count values for the entry. More...
Glib::RefPtr< Gst::Toc > | get_toc () const
| Gets the parent Gst::Toc of entry. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Protected Member Functions
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TocEntry > | wrap (GstTocEntry* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Constructor & Destructor Documentation

## ◆ TocEntry() [1/2]

Gst::TocEntry::TocEntry | ( |  | ) |
| delete

## ◆ TocEntry() [2/2]

Gst::TocEntry::TocEntry | ( | const TocEntry& |  | ) |
| delete

## Member Function Documentation

## ◆ append_sub_entry()

void Gst::TocEntry::append_sub_entry | ( | Glib::RefPtr< Gst::TocEntry > | entry | ) |

Appends the Gst::TocEntry entry to entry.

Parameters

  entry | A Gst::TocEntry.

## ◆ get_entry_type()

TocEntryType Gst::TocEntry::get_entry_type | ( |  | ) |

Returns
  entry's entry type.

## ◆ get_loop()

bool Gst::TocEntry::get_loop | ( | Gst::TocLoopType& | loop_type,
|  | gint & | repeat_count
| ) |  | const

Get loop_type and repeat_count values from the entry and write them into appropriate storages.

Loops are e.g. used by sampled instruments. GStreamer is not automatically applying the loop. The application can process this meta data and use it e.g. to send a seek-event to loop a section.

Parameters

  loop_type | The storage for the loop_type value, leave `nullptr` if not need.
  repeat_count | The storage for the repeat_count value, leave `nullptr` if not need.

Returns
  `true` if all non-`nullptr` storage pointers were filled with appropriate values, `false` otherwise.

## ◆ get_parent()

Glib::RefPtr<Gst::TocEntry> Gst::TocEntry::get_parent | ( |  | ) |

Gets the parent Gst::TocEntry of entry.

Returns
  The parent Gst::TocEntry of entry.

## ◆ get_start_stop_times() [1/2]

bool Gst::TocEntry::get_start_stop_times | ( | gint64 & | start,
|  | gint64 & | stop
| ) |  |

Get start and stop values from the entry and write them into appropriate storages.

Parameters

  start | The storage for the start value, leave `nullptr` if not need.
  stop | The storage for the stop value, leave `nullptr` if not need.

Returns
  `true` if all non-`nullptr` storage pointers were filled with appropriate values, `false` otherwise.

## ◆ get_start_stop_times() [2/2]

bool Gst::TocEntry::get_start_stop_times | ( | gint64 & | start,
|  | gint64 & | stop
| ) |  | const

Get start and stop values from the entry and write them into appropriate storages.

Parameters

  start | The storage for the start value, leave `nullptr` if not need.
  stop | The storage for the stop value, leave `nullptr` if not need.

Returns
  `true` if all non-`nullptr` storage pointers were filled with appropriate values, `false` otherwise.

## ◆ get_toc()

Glib::RefPtr<Gst::Toc> Gst::TocEntry::get_toc | ( |  | ) | const

Gets the parent Gst::Toc of entry.

Returns
  The parent Gst::Toc of entry.

## ◆ get_uid()

Glib::ustring Gst::TocEntry::get_uid | ( |  | ) |

Gets the UID of entry.

Returns
  The UID of entry.

## ◆ gobj() [1/2]

GstTocEntry* Gst::TocEntry::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GstTocEntry* Gst::TocEntry::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GstTocEntry* Gst::TocEntry::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_alternative() [1/2]

bool Gst::TocEntry::is_alternative | ( |  | ) |

Returns
  `true` if entry's type is an alternative type, otherwise `false`.

## ◆ is_alternative() [2/2]

bool Gst::TocEntry::is_alternative | ( |  | ) | const

Returns
  `true` if entry's type is an alternative type, otherwise `false`.

## ◆ is_sequence() [1/2]

bool Gst::TocEntry::is_sequence | ( |  | ) |

Returns
  `true` if entry's type is a sequence type, otherwise `false`.

## ◆ is_sequence() [2/2]

bool Gst::TocEntry::is_sequence | ( |  | ) | const

Returns
  `true` if entry's type is a sequence type, otherwise `false`.

## ◆ operator delete()

void Gst::TocEntry::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

TocEntry& Gst::TocEntry::operator= | ( | const TocEntry& |  | ) |
| delete

## ◆ reference()

void Gst::TocEntry::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ set_loop()

void Gst::TocEntry::set_loop | ( | Gst::TocLoopType | loop_type,
|  | gint | repeat_count
| ) |  |

Set loop_type and repeat_count values for the entry.

Parameters

  loop_type | Loop_type value to set.
  repeat_count | Repeat_count value to set.

## ◆ set_start_stop_times()

void Gst::TocEntry::set_start_stop_times | ( | gint64 | start,
|  | gint64 | stop
| ) |  |

Set start and stop values for the entry.

Parameters

  start | Start value to set.
  stop | Stop value to set.

## ◆ unreference()

void Gst::TocEntry::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::TocEntry > wrap | ( | GstTocEntry * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.